# Class MPackageReaders

java.lang.Object
com.io7m.montarre.io.MPackageReaders

All Implemented Interfaces:
  `MPackageReaderFactoryType`

public final class MPackageReaders extends Object implements MPackageReaderFactoryType
Package readers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPackageReaders()`
  Package readers.
  `MPackageReaders(MPackageDeclarationParserFactoryType inParsers)`
  Package writers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `extractManifest(Path file)`
  Perform the minimum steps required to extract the bytes of the manifest from the given file.
  `MPackageReaderType`
  `open(Path file)`
  Open a package for reading.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MPackageReaders

    public MPackageReaders()
    Package readers.

  - ### MPackageReaders

    public MPackageReaders(MPackageDeclarationParserFactoryType inParsers)
    Package writers.
    Parameters:
      `inParsers` - The package declaration parsers

- ## Method Details

  - ### open

    public MPackageReaderType open(Path file) throws MException
    Description copied from interface: `MPackageReaderFactoryType`
    Open a package for reading.
    Specified by:
      `open` in interface `MPackageReaderFactoryType`
    Parameters:
      `file` - The input file
    Returns:
      A new package reader
    Throws:
      `MException` - On errors

  - ### extractManifest

    public byte[] extractManifest(Path file) throws MException
    Description copied from interface: `MPackageReaderFactoryType`
    Perform the minimum steps required to extract the bytes of the manifest from the given file. This method is provided to assist with extracting data from damaged files and performs no validation.
    Specified by:
      `extractManifest` in interface `MPackageReaderFactoryType`
    Parameters:
      `file` - The file
    Returns:
      The manifest bytes
    Throws:
      `MException` - On errors